Skip to main content
`Ctrl`+`K`

# ISLocalToGlobalMappingType

String with the name of a mapping method

## Synopsis

    #include "petscis.h"
    typedef const char *ISLocalToGlobalMappingType;
    #define ISLOCALTOGLOBALMAPPINGBASIC "basic"
    #define ISLOCALTOGLOBALMAPPINGHASH  "hash"

## Values

- `ISLOCALTOGLOBALMAPPINGBASIC` - a non-memory scalable way of storing `ISLocalToGlobalMapping` that allows applying `ISGlobalToLocalMappingApply()` efficiently

- `ISLOCALTOGLOBALMAPPINGHASH` - a memory scalable way of storing `ISLocalToGlobalMapping` that allows applying `ISGlobalToLocalMappingApply()` reasonably efficiently

## See Also

`ISLocalToGlobalMapping`, `ISLocalToGlobalMappingSetType()`, `ISLocalToGlobalSetFromOptions()`, `ISGlobalToLocalMappingMode`

## Level

beginner

## Location

include/petscis.h

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages